Bug 1020447 - 3.1.5-1 rpm is missing an important binary
3.1.5-1 rpm is missing an important binary
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: rabbitmq-server (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 13:02 EDT by derek.olsen
Modified: 2014-11-17 05:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-17 05:31:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description derek.olsen 2013-10-17 13:02:29 EDT
Description of problem:   /usr/sbin/rabbitmq-plugins not in latest rpm


Version-Release number of selected component (if applicable):

rabbitmq-server-3.1.5-1.el6.noarch.rpm
How reproducible:
[dolsen@cfgmgmt1.jcadev tmp8]$ rpm -qlp ./rabbitmq-server-3.1.5-1.el6.noarch.rpm |grep \/usr\/sbin
/usr/sbin/rabbitmq-server
/usr/sbin/rabbitmqctl


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Here is a comparison of the rpm's from the vendor and the one from epel.

RPM downloaded from http://www.rabbitmq.com/releases/rabbitmq-server/v3.1.5/rabbitmq-server-3.1.5-1.noarch.rpm
NOTE: That '/usr/sbin/rabbitmq-plugins' exists in this package
 
[vagrant@vagrant-tools-1162 ~]$ rpm  -qlp ./rabbitmq-server-3.1.5-1.noarch.rpm |grep \/usr\/sbin
/usr/sbin/rabbitmq-plugins
/usr/sbin/rabbitmq-server
/usr/sbin/rabbitmqctl
 
[vagrant@vagrant-tools-1162 ~]$ rpm  --info -q rabbitmq-server
Name        : rabbitmq-server              Relocations: (not relocatable)
Version     : 3.1.5                             Vendor: (none)
Release     : 1                             Build Date: Thu 15 Aug 2013 10:24:28 AM GMT
Install Date: Thu 17 Oct 2013 04:25:44 PM GMT      Build Host: rabbit-releasebuild-debian.eng.vmware.com
Group       : Development/Libraries         Source RPM: rabbitmq-server-3.1.5-1.src.rpm
Size        : 4548177                          License: MPLv1.1 and MIT and ASL 2.0 and BSD
Signature   : DSA/SHA1, Thu 15 Aug 2013 10:29:05 AM GMT, Key ID f7b8cea6056e8e56
URL         : http://www.rabbitmq.com/
Summary     : The RabbitMQ server
Description :
RabbitMQ is an implementation of AMQP, the emerging standard for high
performance enterprise messaging. The RabbitMQ server is a robust and
scalable implementation of an AMQP broker.
 
RPM installed from epel
NOTE: That  That '/usr/sbin/rabbitmq-plugins' does not exist in this package
 
[dolsen@cfgmgmt1.jcadev tmp8]$ rpm -qlp ./rabbitmq-server-3.1.5-1.el6.noarch.rpm |grep \/usr\/sbin
/usr/sbin/rabbitmq-server
/usr/sbin/rabbitmqctl
 
[dolsen@cfgmgmt1.jcadev tmp8]$ rpm --info -qp ./rabbitmq-server-3.1.5-1.el6.noarch.rpm
Name        : rabbitmq-server              Relocations: (not relocatable)
Version     : 3.1.5                             Vendor: Fedora Project
Release     : 1.el6                         Build Date: Sat 24 Aug 2013 09:42:32 AM GMT
Install Date: (not installed)               Build Host: buildvm-22.phx2.fedoraproject.org
Group       : Development/Libraries         Source RPM: rabbitmq-server-3.1.5-1.el6.src.rpm
Size        : 4414369                          License: MPLv1.1
Signature   : RSA/8, Sat 24 Aug 2013 04:45:41 PM GMT, Key ID 3b49df2a0608b895
Packager    : Fedora Project
URL         : http://www.rabbitmq.com/
Summary     : The RabbitMQ server
Description :
RabbitMQ is an implementation of AMQP, the emerging standard for high
performance enterprise messaging. The RabbitMQ server is a robust and
scalable implementation of an AMQP broker.
Comment 1 derek.olsen 2013-10-17 13:37:49 EDT
I forgot to mention that the /usr/sbin/rabbitmq-plugins script exists in the rpm but at the location that makes it unusable (not in $PATH) by init scripts and existing tooling.   THe file in the rpm is /usr/lib/rabbitmq/bin/rabbitmq-plugins.
It can *be* symlinked into /usr/(s)bin but in that case the file /usr/lib/rabbitmq/bin/rabbitmq-env needs to be symlinked into the same dir as the rabbitmq-plugins script.
Comment 2 Peter Lemenkov 2014-11-17 05:31:53 EST
Erlang was abandonded in EPEL6 and removed along with all dependent packages.

Note You need to log in before you can comment on or make changes to this bug.